
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Bug #2010

Review details for BD

08/09/2016 04:31 AM - Oleksii Kurasov

Status: Closed Start date: 08/09/2016

Priority: Urgent Due date: 08/19/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Must be implemented by template provided in Attachment

History

#1 - 08/16/2016 11:27 AM - Oleksii Kurasov

- Due date changed from 08/12/2016 to 08/18/2016

- Status changed from New to In Progress

#2 - 08/18/2016 03:59 AM - Oleksii Kurasov

- Status changed from In Progress to Resolved

#3 - 08/18/2016 12:49 PM - Oleksii Kurasov

- Due date changed from 08/18/2016 to 08/19/2016

#4 - 08/22/2016 03:31 AM - Oleksii Kurasov

- Status changed from Resolved to Closed

Files

Final Module 1 and Labelling Review Template_V1.docx 97 KB 08/09/2016 Oleksii Kurasov
